我应该用CakePHP 2或3开发吗?



1 Answers

更新:

绝对100%使用CakePHP 3.x. 不应该再有任何争论,因为Cake 3现在已经运行起来,不再处于测试版或者RC版等等。

原始答案:

如果你现在开始(1月15日),我没有看到学习CakePHP 2.x. 为什么要经历这个麻烦,当你的项目完成的时候,你已经有了过时的代码(我知道“过时”可能有点极端,但是...)。

不仅如此,CakePHP2和CakePHP3还有不同的世界,具有相当大的学习曲线。 我无法想象,在这一点上学习一种语言,只能在不到一年的时间内重新学习整个事情。

如果CakePHP 3 RC不是一个可行的选择(例如,项目一直崩溃,或者左右都有问题),而且你已经到了最后期限,那你就没有办法了。 但是CakePHP 3 RC似乎运行良好,并且已经在实时项目中使用。

没有大脑的答案IMO:去CakePHP 3.我当然会,如果我在你的鞋子。

Question

我刚刚开始使用CakePHP作为服务项目的软件。 我可以看到,版本3仍然处于测试阶段,我可以看到这个项目需要3-6个月。

我的问题是,我应该从版本2还是版本3测试版开始,后者可能会达到稳定版本。

我不想学习版本2,然后版本3有一个公平的变化。




您好我工作与cakephp自1年,我发现你可以使用cakephp 2.x,因为它是稳定的版本不需要额外的配置,但在cakphp 3是不稳定的版本你安装作曲家cakephp 3&的结构cakephp 3是完全不同的形式cakephp2如cakephp2根文件夹是APP但cakphp 3没有应用程序文件夹它包含src,bin,供应商等




Related



Tags

php php   cakephp